%define snapshot_date 20060721
Name:           pingus
Version:        0.7.0
Release:        0.4.%{snapshot_date}%{?dist}
Summary:        Guide the penguins safely home before they drop of the cliff
Group:          Amusements/Games
License:        GPL
URL:            http://pingus.seul.org/
# create this by doing:
# svn checkout svn://svn.berlios.de/pingus/trunk
# rm -fr `find trunk -name .svn`
# mv trunk pingus-%{snapshot_date}
# tar cvfz pingus-%{snapshot_date}.tar.gz pingus-%{snapshot_date}
Source0:        pingus-%{snapshot_date}.tar.gz
Source1:        pingus.desktop
Source2:        pingus.png
Patch0:         pingus-20060721-gettext.patch
Patch1:         pingus-20060721-datapath.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ClanLib-devel desktop-file-utils automake gettext

%description
A game inspired by the game Lemmings. You take command in the game of a bunch
of small penguins and have to guide them around in levels. Since the penguins
walk on their own, the player can only influence them by giving them commands,
like build a bridge, dig a hole or redirect all penguins in the other
direction. The goal of each level is to reach the exit, for which multiple
combination of commands are necessary. The game is presented in a 2D site view.


%prep
%setup -q -n %{name}-%{snapshot_date}
%patch0 -p1 -z .gettext
%patch1 -p1 -z .datapath
sed -i 's|$datadir/games/$PACKAGE|$datadir/$PACKAGE|g' configure.ac
./autogen.sh


%build
%configure --disable-dependency-tracking --disable-rpath
# we must rerun autoheader now, don't ask why. When doing a manual build this
# is done automaticly
autoheader
/bin/sh ./config.status config.h
echo "#define HAVE_GETTEXT" >> config.h
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# put pingus in normal dirs instead of games dirs
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{_prefix}/games/%{name} $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{_datadir}/games/%{name}/* \
  $RPM_BUILD_ROOT%{_datadir}/%{name}
# remove the developmemt utilities left in /usr/games
rm $RPM_BUILD_ROOT/usr/games/*
# fix missing metamap stuff
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/metamap
install -m 644 data/metamap/metamap.xml \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/metamap

# fixup translation stuff
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}
for i in *.po; do
   POLANG=`echo $i|sed 's/\.po//'`
   mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/$POLANG/LC_MESSAGES
   msgfmt $i -o $RPM_BUILD_ROOT%{_datadir}/locale/$POLANG/LC_MESSAGES/pingus.mo
   rm $i
done
popd
%find_lang %{name}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora                       \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO WISHLIST
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_mandir}/man6/%{name}.6*


%changelog
* Tue Aug 29 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.0-0.4.20060721
- FE6 Rebuild

* Sun Aug 13 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.0-0.3.20060721
- Rebuild for new ClanLib

* Sun Jul 23 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.0-0.2.20060721
- add missing BR: gettext

* Fri Jul 21 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.0-0.1.20060721
- initial Fedora Extras package
